using JSMR.Application.Enums;
using JSMR.Application.Scanning.Ports;
using Microsoft.Extensions.DependencyInjection;

namespace JSMR.Infrastructure.Ingestion;

public class VoiceWorkUpdaterRepository(IServiceProvider serviceProvider) : IVoiceWorkUpdaterRepository
{
    public IVoiceWorkUpdater? GetUpdater(Locale locale)
    {
        return serviceProvider.GetKeyedService<IVoiceWorkUpdater>(locale);
    }
}